<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>CSS Common Styling</title>
    <link rel="stylesheet" href="./index.css" />
  </head>
  <body>
    <!-- CSS UNITS -->
    <h3>CSS Units</h3>

    <h4>px versus %</h4>
    <div class="box fifty-percent">50%</div>
    <div class="box one-hundred-pixels">100px</div>

    <br />

    <div class="parent">
      <div class="box fifty-percent">50%</div>
      <div class="box one-hundred-pixels">100px</div>
    </div>
    <!-- END OF CSS UNITS -->

    <!-- VIEWPORT HEIGHT AND WIDTH -->
    <h4>Viewport width and height</h4>
    <div class="box fifty-vw">50vw</div>
    <div class="box twently-five-vh">25vh</div>

    <div class="parent">
      <div class="box fifty-vw">50vw</div>
      <div class="box twently-five-vh">25vh</div>
    </div>

    <!-- END OF VIEWPORT HEIGHT AND WIDTH -->

    <!-- em and rem -->
    <div>16px</div>
    <div class="one-rem">1rem</div>
    <div class="one-em">1em</div>
    <div class="two-rem">2rem</div>
    <div class="two-em">2em</div>

    <div class="parent-2">
      <div class="one-rem">1rem</div>
      <div class="one-em">1em</div>
      <div class="two-rem">2rem</div>
      <div class="two-em">2em</div>
    </div>
    <!-- end of em and rem -->

    <hr />
    <!-- CSS Background -->
    <section class="background">
      <div class="container-bg">
        <h3 class="bg-title">CSS Background Property</h3>
      </div>
    </section>
    <!-- End of CSS Background -->
  </body>
</html>
